//=========================================================================== 
// Organization : Individual developer 
// Filename     : led.h
// Author       : Feng Bohan
// Create Time  : 01:45:11 2024-07-15
// Last Modified: 01:45:11 2024-07-15
// Abstract     :  
//--------------------------------------------------------------------------
// Description:
// 
//--------------------------------------------------------------------------
// Modification History:
//--------------------------------------------------------------------------
// Rev      Date        Who         Description
// ---      ----        ---         -----------
// 0.0.01   2024-07-15  Feng Bohan  initial version
//===========================================================================
#ifndef LED_H
#define LED_H

#include "public.h"

#define LED  P2
#define LED0 P2_0
#define LED1 P2_1
#define LED2 P2_2
#define LED3 P2_3
#define LED4 P2_4
#define LED5 P2_5
#define LED6 P2_6
#define LED7 P2_7

u8 led_on(u8 led);
u8 led_off(u8 led);
u8 led_toggle(u8 led);
void led_all_on(void);
void led_all_off(void);

#endif
